{ pkgs ? import <nixpkgs> { }
, callPackage ? pkgs.callPackage
, name ? "pam_fido2"
}:
let
  crate2nix_tools = import "${builtins.fetchTarball { url = "https://github.com/kolloch/crate2nix/archive/0.8.0.tar.gz"; }}/tools.nix" { };
  overrides = pkgs.defaultCrateOverrides // {
    pam_fido2 = attrs: with pkgs; {
      buildInputs = [ linux-pam ];
    };
  };
  project = callPackage (crate2nix_tools.generatedCargoNix { name = name; src = "${./.}"; }) { defaultCrateOverrides = overrides; };
in
project.rootCrate.build
